fliptext(6)

NAME
fliptext - draws pages of text whose lines transparently flip around

SYNOPSIS
fliptext [--display host:display.screen] [--window] [--root] [--window-id number] [--visual visual] [--delay microseconds] [--program command] [--size integer ] [--columns integer] [--left | --center | --right] [--lines integer] [--speed float] [--delay usecs] [--font xlfd] [--wireframe] [--fps]

DESCRIPTION
The fliptext program runs another program to generate a stream of text, then animates the lines of that text transparently flipping in and out in 3D.

OPTIONS
fliptext accepts the following options:

--window
    Draw on a newly-created window. This is the default.

--root
    Draw on the root window.

--window-id number
    Draw on the specified window.

--install
    Install a private colormap for the window.

--visual visual
    Specify which visual to use. Legal values are the name of a visual class, or the id number (decimal or hex) of a specific visual.

--program sh-command
    This program will be run periodically, and its output will be the text that is displayed. Default xscreensaver-text. You can configure the text printed through the "Advanced" tab of xscreensaver-settings(1), or by editing your ~/.xscreensaver file.

--size integer
    How large a font to use, in points. (Well, in some arbitrary unit we're calling "points" for the sake of argument.) Default: 20.

--columns integer
    At (approximately) what column to wrap lines. Default 80. Wrapping is done by pixels, not characters, and lines will always wrap at the edge of the screen regardless.

--left | --center | --right
    Whether to align the text flush left, centered, or flush right. The default is to choose randomly each time a new screen of text is displayed.

--lines integer
    How many lines of text should be shown at once. Default 8.

--speed ratio
    Change the animation speed; 0.5 to go half as fast, 2.0 to go twice as fast.

--delay usecs
    The delay between frames of the animation; default is 10000 (1/10th second.)

--font font-name
    The name of the font to use. For best effect, this should be a large font (at least 36 points.) The bigger the font, the better looking the characters will be. Note that the size of this font affects only the clarity of the characters, not their size on the screen: for that, use the --size or --columns options. Default: -*-utopia-bold-r-normal-*-*-720-*-*-*-*-iso8859-1

--fps
    Display the current frame rate, CPU load, and polygon count.

ENVIRONMENT

DISPLAY
    to get the default host and display number.

XENVIRONMENT
    to get the name of a resource file that overrides the global resources stored in the RESOURCE_MANAGER property.

XSCREENSAVER_WINDOW
    The window ID to use with --root.

SEE ALSO
xscreensaver(1), xscreensaver-text(6), fortune(1), phosphor(6), apple2(6), fontglide(6), ljlatest(6), dadadodo(1), webcollage(6), driftnet(1) EtherPEG, EtherPeek

COPYRIGHT
Copyright © 2005 by Jamie Zawinski. Permission to use, copy, modify, distribute, and sell this software and its documentation for any purpose is hereby granted without fee, provided that the above copyright notice appear in all copies and that both that copyright notice and this permission notice appear in supporting documentation. No representations are made about the suitability of this software for any purpose. It is provided "as is" without express or implied warranty.

AUTHOR
Jamie Zawinski <jwz@jwz.org>